Package org.opensaml.soap.wssecurity.impl

# Class AbstractWSSecurityObjectUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObjectUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `AttributedDateTimeUnmarshaller`, `AttributedStringUnmarshaller`, `EmbeddedUnmarshaller`, `EncryptedHeaderUnmarshaller`, `IterationUnmarshaller`, `ReferenceUnmarshaller`, `SaltUnmarshaller`, `SecurityTokenReferenceUnmarshaller`, `SecurityUnmarshaller`, `SignatureConfirmationUnmarshaller`, `TimestampUnmarshaller`, `TransformationParametersUnmarshaller`, `UsernameTokenUnmarshaller`

public abstract class AbstractWSSecurityObjectUnmarshaller extends AbstractXMLObjectUnmarshaller
An abstract unmarshaller implementation for XMLObjects from WS-Security.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractWSSecurityObjectUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractWSSecurityObjectUnmarshaller

public AbstractWSSecurityObjectUnmarshaller()